<?php

	lt_include( PLOG_CLASS_PATH."class/action/admin/adminaction.class.php" );
	lt_include( PLOG_CLASS_PATH."plugins/ads/class/view/adminadblockslistview.class.php" );
	
	class AdminAdBlocksAction extends AdminAction
	{
		function AdminAdBlocksAction( $actionInfo, $request )
		{
			$this->AdminAction( $actionInfo, $request );			
			$this->requireAdminPermission( "manage_ad_blocks" );
		}
		
		function perform()
		{
			$this->_view = new AdminAdBlocksListView( $this->_blogInfo );
			$this->setCommonData();
			
			return( parent::perform());
		}
	}
?>